Download it now!
Bug 101245 - doc(x) protected areas are not protected when “enable cursor” option is disabled
Summary: doc(x) protected areas are not protected when “enable cursor” option is disabled
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords: filter:docx, needsDevEval
Depends on:
Blocks:
 
Reported: 2016-08-01 08:47 UTC by Martin Nathansen
Modified: 2016-09-16 13:03 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
docx form with a protected area (18.08 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-08-01 08:47 UTC, Martin Nathansen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Nathansen 2016-08-01 08:47:41 UTC
Created attachment 126510 [details]
docx form with a protected area

Problem description:
In imported MS Word documents the area protection is bypassed when the option “Protected Areas: Enable cursor” is not set.

Steps to reproduce:
1. Open a MS Word document *.doc or *.docx with protected areas
2. Make sure the “Enable cursor” option is not set: Tools → Options → LibreOffice Writer→ Formatting Aids → Protected Areas: Enable cursor
3. Try to edit the text in the protected area.

Current behavior:
The user is able to edit the text in protected areas.

Expected behavior:
The user should only be able to edit the text in protected areas when the compatibility option “Form Protect” is not set.
Comment 1 Buovjaga 2016-08-07 12:33:15 UTC
Confirmed.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: f3d26af51588af441f62fb69bb7a5432845226ac
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on August 5th 2016

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 2 Martin Nathansen 2016-08-12 11:17:41 UTC
This patch fixes the bug:

https://gerrit.libreoffice.org/28075/

Hopefully using the DocumentSettingManager is the right approach.
Comment 3 Commit Notification 2016-08-17 18:01:47 UTC
Martin Nathansen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e879ddeda3d81ec95022142f7d4e514bfec8b123

Resolves: tdf#101245 doc(x) protected areas not protected with disabled cursor

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Martin Nathansen 2016-09-16 13:03:38 UTC
Fixed